#### D.6.18.4 StabEqn

Procedure from library `qhmoduli.lib` (see qhmoduli_lib).

Usage:
  StabEqn(f); f polynomial

Purpose:
  compute the equations of the isometry group of f.

Assume:
  f semiquasihomogeneous polynomial with an isolated singularity at 0

Return:
  list of two rings 'S1', 'S2'
  - 'S1' contains the equations of the stabilizer (ideal 'stabid')
  - 'S2' contains the action of the stabilizer (ideal 'actionid')

Global:
  varSubsList, contains the index j s.t. x(i) -> x(i)t(j) ...

Example:

    LIB "qhmoduli.lib";
    ring B = 0,(x,y,z), ls;
    poly f = -z5+y5+x2z+x2y;
    list stab = StabEqn(f);
    ==> // ** redefining zz (int zz = 1;) qhmoduli.lib::StabEqnId:629
    def S1 = stab[1]; setring S1;  stabid;
    ==> stabid[1]=s(2)*s(3)
    ==> stabid[2]=s(1)^2*s(2)+s(1)^2*s(3)-1
    ==> stabid[3]=s(1)^2*s(3)^2-s(3)
    ==> stabid[4]=s(2)^4-s(3)^4+s(1)^2
    ==> stabid[5]=s(1)^4+s(2)^3-s(3)^3
    ==> stabid[6]=s(3)^5-s(1)^2*s(3)
    def S2 = stab[2]; setring S2;  actionid;
    ==> actionid[1]=s(1)*x
    ==> actionid[2]=s(3)*y+s(2)*z
    ==> actionid[3]=s(2)*y+s(3)*z

User manual for Singular version 4.4.1, 2025, generated by texi2html.